-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at: http://license.coscl.org.cn/MulanPSL2
--
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local input = ReqBody.addr
local count = ProcessingFlow[2].Destination.NTPServerCount
local delimiter = ','
local start = 1
local arr = {}
while true do
    local pos = string.find(input, delimiter, start, true)
    if not pos then
        break
    end
    table.insert(arr, string.sub(input, start, pos - 1))
    start = pos + string.len(delimiter)
end
table.insert(arr, string.sub(input, start))

local cut_count = #arr

-- 当ip个数为6个时，extraserver个数不足4个需要填充为4个
if count == 6 and cut_count < 4 then
    for _ = cut_count, 3 do
        table.insert(arr, '')
    end
end

return arr